Don't add amd-ucode to installs, linux-firmware provides it for late loading already

This commit is contained in:
natemaia 2019-09-16 17:43:28 -07:00
parent 8d3e3aebd6
commit 108450dd69

View File

@ -1770,8 +1770,7 @@ prerun_syslinux()
setup_refind-efi() setup_refind-efi()
{ {
EDIT_FILES[bootloader]="/boot/refind_linux.conf" EDIT_FILES[bootloader]="/boot/refind_linux.conf"
BCMDS[refind-efi]="mount -t efivarfs efivarfs /sys/firmware/efi/efivars >/dev/null 2>&1 BCMDS[refind-efi]="mount -t efivarfs efivarfs /sys/firmware/efi/efivars >/dev/null 2>&1; refind-install"
refind-install"
} }
prerun_refind-efi() prerun_refind-efi()
@ -1801,8 +1800,7 @@ prerun_refind-efi()
setup_systemd-boot() setup_systemd-boot()
{ {
EDIT_FILES[bootloader]="/boot/loader/entries/$DIST.conf" EDIT_FILES[bootloader]="/boot/loader/entries/$DIST.conf"
BCMDS[systemd-boot]="mount -t efivarfs efivarfs /sys/firmware/efi/efivars >/dev/null 2>&1 BCMDS[systemd-boot]="mount -t efivarfs efivarfs /sys/firmware/efi/efivars >/dev/null 2>&1; bootctl --path=/boot install"
bootctl --path=/boot install"
} }
prerun_systemd-boot() prerun_systemd-boot()
@ -2211,7 +2209,6 @@ die()
umount_dir /run/archiso/bootmnt && sleep 0.5 && reboot -f umount_dir /run/archiso/bootmnt && sleep 0.5 && reboot -f
fi fi
fi fi
termcol
exit $e exit $e
} }
@ -2266,11 +2263,13 @@ msg()
live() live()
{ {
local e=0 local e=0
if ! select_keymap; then if ! select_keymap; then
clear clear
die 0
elif ! net_connect; then elif ! net_connect; then
msg "Not Connected" "\nRunning live requires an active internet connection.\n\nExiting..\n" 2 msg "Not Connected" "\nRunning live requires an active internet connection.\n\nExiting..\n" 2
e=1 die 1
else else
clear clear
pacman -Syyu --noconfirm || die 1 pacman -Syyu --noconfirm || die 1
@ -2295,9 +2294,8 @@ live()
cp -rfT /etc/skel /root || die 1 cp -rfT /etc/skel /root || die 1
sed -i "/exec/ c exec ${WM_SESSIONS[$ses]}" /root/.xinitrc sed -i "/exec/ c exec ${WM_SESSIONS[$ses]}" /root/.xinitrc
printf "\n%s has been set as the login session in /root/.xinitrc, to start the session simply run\n\n\tstartx\n\n" "${WM_SESSIONS[$ses]}" printf "\n%s has been set as the login session in /root/.xinitrc, to start the session simply run\n\n\tstartx\n\n" "${WM_SESSIONS[$ses]}"
die 0
fi fi
die $e
} }
usage() usage()
@ -2323,7 +2321,7 @@ usage()
xfce4 - A lightweight and modular desktop environment based on gtk+2/3 xfce4 - A lightweight and modular desktop environment based on gtk+2/3
EOF EOF
die 0 exit 0
} }
yesno() yesno()
@ -2495,8 +2493,9 @@ system_identify()
{ {
if [[ $VM ]]; then if [[ $VM ]]; then
UCODE='' UCODE=''
elif grep -q 'AuthenticAMD' /proc/cpuinfo; then # amd-ucode is not needed it's provided by linux-firmware
UCODE="amd-ucode" # elif grep -q 'AuthenticAMD' /proc/cpuinfo; then
# UCODE="amd-ucode"
elif grep -q 'GenuineIntel' /proc/cpuinfo; then elif grep -q 'GenuineIntel' /proc/cpuinfo; then
UCODE="intel-ucode" UCODE="intel-ucode"
fi fi
@ -2529,11 +2528,7 @@ elif ! grep -qwm 1 'lm' /proc/cpuinfo; then
msg "Not x86_64 Architecture" "\nThis installer only supports x86_64 architectures.\n\nExiting..\n" 2 msg "Not x86_64 Architecture" "\nThis installer only supports x86_64 architectures.\n\nExiting..\n" 2
die 1 die 1
else else
case "$1" in case "$1" in -d|--debug) debug ;; -h|--help) usage "$0" ;; -l|--live) shift; live "$@" ;; esac
-d|--debug) debug ;;
-h|--help) usage "$0" ;;
-l|--live) shift; live "$@" ;;
esac
fi fi
# trap ^C to perform cleanup # trap ^C to perform cleanup
@ -2549,10 +2544,9 @@ if ! select_keymap; then
elif ! net_connect; then elif ! net_connect; then
msg "Not Connected" "\nThis installer requires an active internet connection.\n\nExiting..\n" 2 msg "Not Connected" "\nThis installer requires an active internet connection.\n\nExiting..\n" 2
die 1 die 1
else
while :; do
main
done
fi fi
while :; do
main
done
# vim:fdm=marker:fmr={,} # vim:fdm=marker:fmr={,}